Bug 174266 - Review Request: libgsf113 - GNOME Structured File library 1.13
Review Request: libgsf113 - GNOME Structured File library 1.13
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
Fedora Package Reviews List
http://home.zonnet.nl/jwrdegoede/libg...
:
Depends On:
Blocks: FE-ACCEPT 174267
  Show dependency treegraph
 
Reported: 2005-11-26 17:36 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 10:36:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improved specfile (5.14 KB, text/plain)
2005-11-28 08:33 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2005-11-26 17:36:31 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/libgsf113.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/libgsf113-1.13.3-1.src.rpm
Description:
A library for reading and writing structured files (eg MS OLE and Zip)

This library also is in core, but thats an older version, the core maintainer doesn't want to upgrade it because of stability worries (bug 172062). Yet goffice needs the newer version and without goffice no recent gnumeric or gnucash so I've decided to build a special newer extras version which can be installed next to the core version.
Comment 1 Michael A. Peters 2005-11-28 01:36:05 EST
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/share/locale/es/LC_MESSAGES/libgsf.mo
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/lib/*.la
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/bin/gsf-office-thumbnailer
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/etc/gconf/schemas/gsf-office-thumbnailer.schemas
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/share/man/man1/gsf-office-thumbnailer.1
rm -f $RPM_BUILD_ROOT/%{libgsfdir}/lib/*.a
rm -rf $RPM_BUILD_ROOT/%{libgsfdir}/share/gtk-doc/html/gsf

I assume those are deleted because they conflict with core package?
A comment in spec file/changelog would be useful as to why they are removed.
Comment 2 Michael A. Peters 2005-11-28 02:01:35 EST
rpmlint warnings after mock build:

[mpeters@utility result]$ rpmlint *.rpm
W: libgsf113 no-url-tag
W: libgsf113 non-conffile-in-etc /etc/ld.so.conf.d/libgsf113-i386.conf
W: libgsf113 no-url-tag
E: libgsf113 configure-without-libdir-spec
W: libgsf113-debuginfo no-url-tag
W: libgsf113-devel no-provides libgsf-devel
E: libgsf113-devel description-line-too-long Libraries, headers, and support
files necessary to compile applications using libgsf.
W: libgsf113-devel no-url-tag
E: libgsf113-devel only-non-binary-in-usr-lib
[mpeters@utility result]$ 

The no-url-tag can be fixed
The ld.so.conf.d file should be marked %config

E: libgsf113 configure-without-libdir-spec

I believe that is OK because it is installed where it does not conflict with the
core package. However:

[mpeters@utility result]$ rpm -qlp libgsf113-1.13.3-1.i386.rpm       
/etc/ld.so.conf.d/libgsf113-i386.conf
/usr/lib/libgsf-1.13/lib/libgsf-1.so.113
/usr/lib/libgsf-1.13/lib/libgsf-1.so.113.0.3
/usr/lib/libgsf-1.13/lib/libgsf-gnome-1.so.113
/usr/lib/libgsf-1.13/lib/libgsf-gnome-1.so.113.0.3
/usr/share/doc/libgsf113-1.13.3
/usr/share/doc/libgsf113-1.13.3/AUTHORS
/usr/share/doc/libgsf113-1.13.3/COPYING
/usr/share/doc/libgsf113-1.13.3/README

It looks to me like the libraries *could* be installed in %{_libdir} and would
not conflict with core libgsf (and eliminate neeed for custom ld.so.conf file)

The shared libraries seem to be parallel installable.

-=-
E: libgsf113-devel only-non-binary-in-usr-lib

I'm not sure about that one - what's triggering it?
Comment 3 Michael A. Peters 2005-11-28 02:03:35 EST
(In reply to comment #2)

> 
> It looks to me like the libraries *could* be installed in %{_libdir} and would
> not conflict with core libgsf (and eliminate neeed for custom ld.so.conf file)
> 
> The shared libraries seem to be parallel installable.

Nevermind - no they aren't, due to the devel .so files
Comment 4 Hans de Goede 2005-11-28 02:34:17 EST
In reply to comment #1:
-The .mo file is also removed in the core spec file, which I used as a base
 dunno why.
-.la files are evil and should be removed, this is actually in the review 
 guidelines.
-The gsf-office-thumbnailer files are removed because this is an application not 
 needed for building against the lib, it could be left in but users still would
 get the old verison by default since that is in /usr/bin, i basicly see no
 use for this.
-The .a file is removed because I see no use for a static library of this 
 specific (newer then default) version, also there is a general discussion
 if static libs should be shipped at all.
All this files could be left in without a conflict since they are all under
%{libgsfdir}. Should I add the above "items" as comments to the .spec?

Comment #2:
I'll fix the %config and URL tag

Comment #3:
Correct
Comment 5 Hans de Goede 2005-11-28 08:33:30 EST
Created attachment 121543 [details]
improved specfile

New specfile, I can't put this or a new SRPM on the net right now because I
can't connect to my ISP's ftp server from my work.
- Add URL tag (kinda strange but the best I could do)
- make configfile %%config
- add comments to file removal part of %%install

Can this be approved now?
Comment 6 Michael A. Peters 2005-11-28 09:24:56 EST
rpmlint output of mock build:

1) W: libgsf113 conffile-without-noreplace-flag
/etc/ld.so.conf.d/libgsf113-i386.conf
2) E: libgsf113 configure-without-libdir-spec
3) W: libgsf113-devel no-provides libgsf-devel
4) E: libgsf113-devel description-line-too-long Libraries, headers, and support
files necessary to compile applications using libgsf.
5) E: libgsf113-devel only-non-binary-in-usr-lib

1) - the rpm is correct, warning ignorable - should not be modified by user
2) - error is necessary due to necessary installation location
3) - the package is correct, it shouls not provide libgsf-devel
4) - A simple line break would correct it.
5) - I don't know what is triggering that, I suspect it is ignorable


* Package named according to guidelines - with library version so as to not
conflict with core package.
* Spec File matches base package name
* Package meets packaging guidelines
* Package has OSS license, properly packaged in %doc
* Spec file in legible american english
* source md5sum matches upstream
* builds on i386 (fc4)
* No improper BuildRequires
* No stray language files
* Proper use of ldconfig
* Package owns all files/directories it should
* No dupes in %files
* Contains code
* Proper files in -devel package
* Approved

-=-
Stating the obvious here:

Should a new enough stable release of libgsf be released before FC5 release,
please be sure to remove this package from fc5.

When a stable release is released, please update in FC4 (and FC3 if you target that)
Comment 7 Hans de Goede 2005-11-28 10:36:55 EST
libgsf113-1.13.3-3 Has been committed to CVS and successfully build. The
difference with the last specfile is that I've added a README.fedora to the
devel package. Closing as next release.

Comment 8 Christian Iseli 2006-10-18 09:08:54 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.